summaryrefslogtreecommitdiff
path: root/dev-python/sphinxcontrib-github-alt/sphinxcontrib-github-alt-1.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/sphinxcontrib-github-alt/sphinxcontrib-github-alt-1.0.ebuild')
-rw-r--r--dev-python/sphinxcontrib-github-alt/sphinxcontrib-github-alt-1.0.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-github-alt/sphinxcontrib-github-alt-1.0.ebuild b/dev-python/sphinxcontrib-github-alt/sphinxcontrib-github-alt-1.0.ebuild
new file mode 100644
index 000000000000..f34c1f9ae534
--- /dev/null
+++ b/dev-python/sphinxcontrib-github-alt/sphinxcontrib-github-alt-1.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+MY_PN="sphinxcontrib_github_alt"
+
+DESCRIPTION="Link to GitHub issues, pull requests, commits and users from Sphinx docs"
+HOMEPAGE="https://github.com/jupyter/sphinxcontrib_github_alt"
+SRC_URI="https://github.com/jupyter/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}/${P}"-setup.py.patch
+ "${FILESDIR}/${P}"-init.py.patch
+)
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ mv "${WORKDIR}/${MY_PN}-${PV}"/sphinxcontrib_github_alt.py "${WORKDIR}/${MY_PN}-${PV}/${MY_PN}/" || die
+}